Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
caferacer018

Hỏi Vẽ Đường Thẳng Khi Có Tọa Độ Trên Sổ Đỏ

Các bài được khuyến nghị

Tình hình là trên sổ đỏ nhà e có cái bảng kê  tọa độ.E muốn dựa vào tọa độ đó để vẽ ra thữa đất của mình.Mà ko biết nhập lệnh như nào.A/e nào rành về khoản này chỉ e cú pháp nhập lệnh với nha..thank mọi người

Ai có lòng tốt thì vẽ giúp e luôn với (^^)

12041998_433005883576829_2010623231_n.jp

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tình hình là trên sổ đỏ nhà e có cái bảng kê  tọa độ.E muốn dựa vào tọa độ đó để vẽ ra thữa đất của mình.Mà ko biết nhập lệnh như nào.A/e nào rành về khoản này chỉ e cú pháp nhập lệnh với nha..thank mọi người

141026_IMG_9966.JPG

 

Cách đơn giản nhất bạn xem tại đây luôn nhé

 

 

 

File mình làm, thửa đất nhà bạn đây: http://www.cadviet.com/upfiles/5/29841_thuadat.rar

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

:D :D :D

Có 2 lúa thử được không?

 

1. File excel bạn không chịu đưa lên, bắt cao nhân ngồi gõ ==> bạn là cao thủ siêu .... chuyên nghiệp.

2. File đây: 

 

http://www.cadviet.com/upfiles/5/110802_book1.rar

 

3. Lỗi của bạn có thể do quá nhiều dấu "phẩy".

:D :D :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

:D :D :D

Cái list 2 lúa gởi lên chắc chắn làm được.

Bạn không có cách nào để mô tả lỗi thì cao nhân cũng chịu, huống gì là 2 lúa.

:D :D :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

:D :D :D

Cái list 2 lúa gởi lên chắc chắn làm được.

Bạn không có cách nào để mô tả lỗi thì cao nhân cũng chịu, huống gì là 2 lúa.

:D :D :D

bac giúp e cho trot..ve ra lun cho e cai...e mo may bua roi ko ra..hĩx..hĩx

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

:D :D :D

Bác hỏi xem có ai gõ giúp file bác excel không, sau đó bác gởi file đó lên đây. Chứ cách ra đề của bạn thì 2 lúa đoán bạn là VIP rồi.

:D :D :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

1204372.51,610950.64

1204367.73,610979.33

1204360.41,610976.53 

1204358.58,610981.01 

1204357.31,610984.12 

1204341.11,610977.91 

1204342.47,610974.65

1204343.94,610971.56

1204354.13,610946.60

1204372.51,610950.64

bac giup e voi nhe

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

:D :D :D

1204372.51,610950.64
1204372.51,610950.65
1204372.51,610950.66
1204372.51,610950.67
1204372.51,610950.68
1204372.51,610950.69
1204372.51,610950.70
1204372.51,610950.71
1204372.51,610950.72
1204372.51,610950.73

Bác xem lại số bác gởi, các số đầu đều giống nhau (1204372.51). Vì vậy, bác chỉ cần vẽ 1 đường thẳng đứng là xong.

:D :D :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

1204372.51,610950.64


1204367.73,610979.33


1204360.41,610976.53 


1204358.58,610981.01 


1204357.31,610984.12 


1204341.11,610977.91 


1204342.47,610974.65


1204343.94,610971.56


1204354.13,610946.60


1204372.51,610950.64


e sữa rồi bác ơi


Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn thử cái này xem:

(defun C:RGT (/ MKTEXT tmp Plist mspace obj ent epar j len pal le1 le2 Pm lst ang)

;;--- NHAP TOA DO CAC DIEM O DAY :

(setq Plist (list '(1204372.51 610950.64) '(1204367.73 610979.33) '(1204360.41 610976.53) '(1204358.58 610981.01) '(1204357.31 610984.12)

'(1204341.11 610977.91) '(1204342.47 610974.65) '(1204343.94 610971.56) '(1204354.13 610946.60) '(1204372.51 610950.64)))

;;-----------------------------------------------------------------------------------------------------------------------------------------

(defun MKTEXT (pt hgt str ang col)

(if (and pt str)

(entmakex (list (cons 0 "TEXT")

(cons 10 pt)

(cons 40 hgt)

(cons 50 ang)

(cons 62 col)

(cons 1 str)

(cons 72 1)

(cons 11 pt)

(cons 73 2)))))

(vl-load-com)

(setq mspace (vla-get-modelSpace (vla-get-activeDocument (vlax-get-acad-object))))

(setq Plist (apply 'append Plist))

(setq tmp (vlax-make-safearray vlax-vbDouble (cons 0 (- (vl-list-length Plist) 1))))

(vlax-safearray-fill tmp Plist)

(setq obj (vla-addLightweightPolyline mspace tmp)

ent (vlax-vla-object->ename obj))

(vla-put-color obj 3)

(setq epar (vlax-curve-getendparam obj)

j -1

pal (vlax-curve-getdistatparam obj epar))

(repeat (fix epar)

(setq j (1+ j)

le1 (vlax-curve-getdistatparam obj j)

le2 (vlax-curve-getdistatparam obj (1+ j))

len (- le2 le1)

Pm (trans (vlax-curve-getPointAtParam ent (+ j 0.5)) 0 ent)

ang (angle (trans (vlax-curve-getpointatparam ent j) 0 ent)

(trans (vlax-curve-getpointatparam ent (1+ j)) 0 ent))

lst (cons (list (1+ j) Pm len) lst))

(MKTEXT (trans (vlax-curve-getpointatparam ent j) 0 ent) 0.75 (itoa (1+ j)) 0 1)

(cond ((and (> ang (/ pi 2)) (<= ang pi)) (setq ang (- ang pi)))

((and (> ang pi) (<= ang (/ (* 3 pi) 2))) (setq ang (+ ang pi))))

(MKTEXT Pm 0.5 (rtos len 2 2) ang 2))

(princ))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

:D :D :D

 Bác xem:

110802_screenshot_9.png

 

cái lít của bác dư dấu "space bar" ở hàng 3,4,5,6 -> nên khi pát vô lệnh pl thì chỉ vẽ được 7 điểm.

khi 2 lúa bỏ các "space bar" đó đi thì vẽ được 10 điểm, xem hình:

110802_screenshot_10.png

 

Nhưng bác cũng sẽ thắc mắc là hình không giống đề bài. Đúng vậy, chắc do cad2015 của 2 lúa xài nó không hiểu cái cách trình bày tọa độ (x,y) như đề bài, nên 2 lúa chỉnh lại thành tọa độ (y,x) cho cad2015 nó hiểu.

610950.64,1204372.51
610979.33,1204367.73
610976.53,1204360.41
610981.01,1204358.58
610984.12,1204357.31
610977.91,1204341.11
610974.65,1204342.47
610971.56,1204343.94
610946.60,1204354.13
610950.64,1204372.51

Kết quả: 

110802_screenshot_11.png

 

file đây:

 http://www.cadviet.com/upfiles/5/110802_drawing1_1.dwg

 

Tất nhiên, lời 2 lúa thì không đáng tin, bạn phải tin vào chính bạn thôi.

 

2 lúa kiểm tra điểm số 2 và số 9 -> bạn sẽ thấy nó trùng khớp với đề bài, nhưng đảo ngược.

110802_screenshot_12.png110802_screenshot_13.png

:D :D :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

- Dư "space bar" chắc là do 4rum.

- Không giống đề bài chắc là do quy ước tọa độ (có thể là VN2000 gì đó ...), tui không rành khoản này lắm. (cad2012 cũng giống 2015 - Không giống đề bài).

- PL vẽ theo tọa độ của Cad.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Vẫn là vấn đề này xin hỏi thêm một chút:

Xưa nay mình vẫn nhập như vậy, rất ổn, kích thước ok song hướng các ô đất luôn bị ngược.
Ví dụ có căn nhà với tọa độ như sau:

1 1144923.68 425622.71   1144923.68,425622.71 2 1144918.57 425634.02   1144918.57,425634.02 3 1144917.79 425633.65   1144917.79,425633.65 4 1144917.51 425634.23   1144917.51,425634.23 5 1144915.34 425633.45   1144915.34,425633.45 6 1144916.15 425630.2   1144916.15,425630.2 7 1144915.97 425630.12   1144915.97,425630.12 8 1144919.39 425622.56   1144919.39,425622.56 9 1144919.08 425622.41   1144919.08,425622.41 10 1144919.78 425620.96   1144919.78,425620.96 1 1144923.68 425622.71   1144923.68,425622.71

Khi nhập vào AutoCAD2007 nó luôn ngược hướng, mặc dù kích thước này nọ đều đúng. Thay vì nhà này ngoài thực (tóp hậu) quay hướng TÂY - BẮC thì nó lại là quay hướng ĐÔNG - NAM

Bạn nào rành chỉ giúp, xin cám ơn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Vẫn là vấn đề này xin hỏi thêm một chút:

Xưa nay mình vẫn nhập như vậy, rất ổn, kích thước ok song hướng các ô đất luôn bị ngược.

Ví dụ có căn nhà với tọa độ như sau:

1 1144923.68 425622.71   1144923.68,425622.71 2 1144918.57 425634.02   1144918.57,425634.02 3 1144917.79 425633.65   1144917.79,425633.65 4 1144917.51 425634.23   1144917.51,425634.23 5 1144915.34 425633.45   1144915.34,425633.45 6 1144916.15 425630.2   1144916.15,425630.2 7 1144915.97 425630.12   1144915.97,425630.12 8 1144919.39 425622.56   1144919.39,425622.56 9 1144919.08 425622.41   1144919.08,425622.41 10 1144919.78 425620.96   1144919.78,425620.96 1 1144923.68 425622.71   1144923.68,425622.71

Khi nhập vào AutoCAD2007 nó luôn ngược hướng, mặc dù kích thước này nọ đều đúng. Thay vì nhà này ngoài thực (tóp hậu) quay hướng TÂY - BẮC thì nó lại là quay hướng ĐÔNG - NAM

Bạn nào rành chỉ giúp, xin cám ơn.

 

Nên hiểu 1 chút: Tọa độ trắc địa giả sử là ( X - Y ) .... thì trong Cad phải nhập là (Y - X )..

Vấn đề này là kiến thức chuyên nghành. Bạn học "Trắc địa đại cương" thì rõ ngay mà :P

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×